package com.atlassian.bitbucket.mesh.git.builder.merge;

import javax.annotation.Nonnull;

public interface GitMergeBase {

    @Nonnull
    GitMergeBaseBuilder between(@Nonnull String firstCommit, @Nonnull String secondCommit);

    @Nonnull
    GitMergeBaseBuilder octopus();

    @Nonnull
    GitMergeBaseIndependentBuilder independent();
}
